/*
Theme Name: Bluebell Vets
Description: Bluebell Vets Child Theme
Template: hello-elementor
Version: 1.3
Tags: four-columns, right-sidebar, full-width-template
Text Domain: bluebell

This theme, like WordPress, is licensed under the GPL.Use it to make something cool, have fun, and share what you've learned with others.
*/



.bbv-icon-list ul {
	display:flex;
	gap:10px;
}

.bbv-icon-list ul li{
	border-radius:100px;
	border:1px solid #2867B9;
	padding:4px 18px !important;
	background:#2867B9;
	color:#fff !important;
}



.bbv-blog-grid .elementor-post__card{
	padding-right:20px;
	padding-left:20px;
	transition: transform .35s cubic-bezier(.22, .61, .36, 1),
				box-shadow .35s cubic-bezier(.22, .61, .36, 1);
	padding-bottom:36px !important;
}

.bbv-blog-grid .elementor-post__card img{
	border-radius:20px;
	width: 100%;
    height: 220px;
    object-fit: cover;
    object-position: center center;
		transition: transform .6s cubic-bezier(.22, .61, .36, 1);
	will-change: transform;

}
.bbv-blog-grid .elementor-post__card:hover img{
	transform: rotate(4deg) scale(1.15);
}
.bbv-blog-grid .elementor-post__card:hover{
	box-shadow: 0px 10px 20px 0px rgba(0, 0, 0, 0.05);
}

.bbv-read-more{
	padding: 13px 32px;
	border: 1px solid var(--e-global-color-secondary);
	border-radius: 100px;
  background-color: var(--e-global-color-secondary);
	color:#fff !important;
	transition:0.3s;
}

.bbv-blog-grid .elementor-post__card:hover .bbv-read-more{
	border-color:#B9915F;
	background:#B9915F;
}

.bbv-blog-grid .elementor-post__card .elementor-post__thumbnail__link::after{
	display:none ;
}
.bbv-blog-grid .elementor-post__card .elementor-post__thumbnail{
	border-radius:20px;
	overflow:hidden;
}


.bbv-blog-grid .elementor-post__card .elementor-post__text{
	padding:0 !important;
	display:flex;
	flex-direction:column;
	align-items:start;
}

.bbv-blog-grid .elementor-post__card .elementor-post__text .elementor-post__title{
	margin-bottom:15px;
}

.bbv-post-title .elementor-posts-container {
    display: flex !important;
    flex-wrap: wrap;
    gap: 5px;
}

.bbv-post-title .elementor-grid-item {
    width: auto !important;
    max-width: none !important;
    flex: 0 0 auto;
}

.bbv-post-title.elementor-post {
    margin: 0 !important;
}

.bbv-post-title .elementor-post__title {
    margin: 0;
}

.bbv-post-title .elementor-post__title a {
    display: inline-flex;
    align-items: center;
    gap: 6px;
    padding: 7px 14px;
    border: 1px solid #D9D9D9;
    border-radius: 999px;
    font-size: 14px;
    font-weight: 400 !important;
    line-height: 1;
    text-decoration: none;
    color: #333;
    background: #fff;
    transition: all 0.35s ease;
    will-change: transform, box-shadow;
}


.bbv-post-title article{
	padding:5px 2px !important;
}

.bbv-post-title .elementor-post__title a::before {
    content: "";
    width: 18px;
    height: 18px;
    background: url('https://bluebellvets.ie/wp-content/uploads/2026/06/check.svg') center/contain no-repeat;
    flex-shrink: 0;
}

.bbv-post-title .elementor-post__title a:hover {
    transform: translateY(-3px) scale(1.02);
    border-color: var(--e-global-color-secondary);
    box-shadow:
        0 4px 10px rgba(0, 0, 0, 0.08),
        0 0 0 3px rgba(255, 255, 255, 0.9),
        0 8px 18px rgba(135, 182, 244, 0.18);
	background:var(--e-global-color-secondary);
	color:#fff !important;
}
.bbv-post-title .elementor-post__title a:hover::before {
    filter: brightness(0) invert(1);
}

.bbv-service-include .elementor-post{
    margin: 0 !important;
}

.bbv-service-include .elementor-post__title{
    margin: 0;
}

.bbv-service-include .elementor-post__title a,
.bbv-service-active h6{
    display: inline-flex;
    align-items: center;
    gap: 14px;
    font-size: 18px;
    font-weight: 500;
    line-height: 1.4;
    text-decoration: none;
    transition: all .3s ease;
}
.bbv-service-active h6{
	font-weight:600 !important;
}

.bbv-service-include .elementor-post__title a::before,
.bbv-service-active h6::before{
    content: "";
    width: 8px;
    height: 8px;
    border-radius: 50%;
    background: #C7CBD8;
    flex-shrink: 0;
    transition: all .3s ease;
}

.bbv-service-active h6::before{
	background: var(--e-global-color-primary) !important;
	transform: scale(1.3);
}

.bbv-service-include .elementor-post__title a:hover{
    color: var(--e-global-color-primary) !important;
    transform: translateX(6px);
}

.bbv-service-include .elementor-post__title a:hover::before{
    background: var(--e-global-color-primary);
    transform: scale(1.3);
}



.header-nav-opener{
	display:none;
}

.price-value{
	font-size:48px;
	font-weight:bold;
	color:#192350;
}
.price-small{
	margin-left:-4px;
}

.bbv-price-card.bbv-icon .elementor-icon{
	border-radius:500px !important;
	padding:15px;
}
.bbv-price-card .elementor-icon{
	padding:10px;
	background:#F3F8FE;
	border-radius:20px;
}

.bbv-price-card.bbv-info-card .elementor-icon{
 border-radius:100px;
	background:rgba(135, 182, 244, 0.3) !important;
	margin-top:15px;
}

.bbv-price-card.bbv-info-card a{
	color:var(--e-global-color-text);
}
.bbv-price-card.bbv-info-card a:hover{
  color:var(--e-global-color-secondary);
}
.bbv-price-card.bbv-info-card{
    transition: transform 0.3s ease, border-color 0.3s ease;
}

.bbv-price-card.bbv-info-card:hover{
    border-color: var(--e-global-color-secondary) !important;
    transform: translateY(-8px);
}


/* Contact page icon css end here */
.head-toggle{
	width: 50px;
	height: 50px;
	background: #192350;
	border-radius: 50%;
	cursor: pointer;
	display: flex;
	flex-direction: column;
	justify-content: center;
	padding: 15px;
	gap: 5px
}
.head-toggle span{
	display: inline-block;
	background: #fff;
	height: 3px;
	width: 22px;
	transition: all 0.4s;
}
.head-toggle span:first-child{
	align-self: flex-end;
}
.head-toggle span:first-child,
.head-toggle span:last-child{
	width: 14px;
}
.header-nav-opener a[aria-expanded="true"] .head-toggle span{
	width: 20px !important;
}


/*  Footer css  */

.bluevet-newsform form .elementor-field-group-email input{
	padding:0;
}

.bluevet-newsform form .elementor-field-group-email input:focus{
	outline:none;
	 box-shadow:none;
}

.bluevet-newsform form .elementor-form-fields-wrapper{
	position:relative;
	display:flex;
	align-items:center;
	justify-content:space-between;
}


.bluevet-newsform form .elementor-field-type-submit{
	position:absolute;
	right:0;
	width:auto;
	
}


.bluevet-newsform form .elementor-field-type-submit button{
	display:flex;
	justify-content:flex-end;
	padding:0 !important;
}

.bluevet-newsform form .elementor-field-type-submit button .elementor-button-icon svg{
	width:2em;
}
.bluevet-newsform form .elementor-field-type-submit button .elementor-button-icon svg g path{
	stroke:#192350 !important;
		transition: color 0.3s ease;
}

.bluevet-newsform form .elementor-field-type-submit button:hover .elementor-button-icon svg g path{
		stroke:#2867B9 !important;
}

.bluevet-newsform form .elementor-field-type-submit button .elementor-button-content-wrapper{
	display:flex;
	align-items:center;
	justify-content:end;
}

.footer-link a{
	color:#192350;
	transition: color 0.3s ease;
}
.footer-link a:hover,
.bellvets-foot-link .elementor-icon-list-items .elementor-icon-list-item:nth-child(2) .elementor-icon-list-text a:hover,.bellvets-foot-link .elementor-icon-list-items .elementor-icon-list-item:nth-child(1) .elementor-icon-list-text a:hover,
.bellvets-foot-link .elementor-icon-list-items .elementor-icon-list-item:nth-child(3) .elementor-icon-list-text a:hover{
	color:#2867B9;
}

.bellvets-foot-link .elementor-icon-list-items .elementor-icon-list-item:nth-child(2) .elementor-icon-list-text{
	  width: 100%;
    display: flex;
    gap: 5px;

}

.bellvets-foot-link .elementor-icon-list-items .elementor-icon-list-item:nth-child(2) .elementor-icon-list-text a, .bellvets-foot-link .elementor-icon-list-items .elementor-icon-list-item:nth-child(1) .elementor-icon-list-text a,
.bellvets-foot-link .elementor-icon-list-items .elementor-icon-list-item:nth-child(3) .elementor-icon-list-text a{
		color:#5e6585;
		transition: color 0.3s ease;
}

.bbv-accordian .e-con-full,
.bbv-accordian .e-n-accordion-item-title{
	border:0 !important;
}

.bbv-accordian .e-n-accordion-item{
	border:1px solid #D4D6DD;
	border-radius:10px;
	transition: 0.3s;
}
.bbv-accordian .e-n-accordion-item:hover{
	    transform: scale3d(.98, .98, 1.01);
}


@media (max-width: 1480px) {
    .bbv-main-menu {
        display: none;
    }
	.header-nav-opener{
		display:block !important;
	}
	.header-nav-opener,
	.bbv-logo{
		z-index:999999999999 !important;
	}
}

@media (max-width: 1024px){
	.price-value{
		font-size:36px;
	}
	.price-small{
		margin-left:-2px;
	}
}


@media (max-width: 767px){
	.price-value{
		font-size:30px;
	}
	.price-small{
		margin-left:0;
	}
}